package com.cheng.blzb.ui.fragment.guide.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.cheng.blzb.R
import com.cheng.blzb.bean.AreaEntity

class GuideItem2CityAdapter: BaseQuickAdapter<AreaEntity, BaseViewHolder>(R.layout.listitem_guide_city) {
    override fun convert(holder: BaseViewHolder, item: AreaEntity) {
        holder.setImageResource(R.id.iv_cover, item.getCityImage())
        holder.setText(R.id.tv_city_name, item.name)
        holder.setText(R.id.tv_amount, "${item.amount}亿元")
        holder.setVisible(R.id.iv_check, item.isChecked)
    }
}